# valuedescdisconnect.cpp File Reference

Template File. More...

`#include "layerparamdisconnect.h"`
`#include "waypointdisconnect.h"`
`#include "valuenodelinkdisconnect.h"`
`#include "valuenodereplace.h"`
`#include "valuedescdisconnect.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_const.h>`
`#include <synfig/valuenode_duplicate.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::ValueDescDisconnect)
| ACTION_SET_NAME (Action::ValueDescDisconnect,"ValueDescDisconnect")
| ACTION_SET_LOCAL_NAME (Action::ValueDescDisconnect, N_("Disconnect"))
| ACTION_SET_TASK (Action::ValueDescDisconnect,"disconnect")
| ACTION_SET_CATEGORY (Action::ValueDescDisconnect, Action::CATEGORY_VALUEDESC)
| ACTION_SET_PRIORITY (Action::ValueDescDisconnect,-100)
| ACTION_SET_VERSION (Action::ValueDescDisconnect,"0.0")
| ACTION_SET_CVS_ID (Action::ValueDescDisconnect,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::ValueDescDisconnect |  | ) |

ACTION_SET_NAME | ( | Action::ValueDescDisconnect | ,
|  | "ValueDescDisconnect" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueDescDisconnect | ,
|  | N_("Disconnect") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueDescDisconnect | ,
|  | "disconnect" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueDescDisconnect | ,
|  | Action::CATEGORY_VALUEDESC |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueDescDisconnect | ,
|  | - | 100 |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueDescDisconnect | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueDescDisconnect | ,
|  | "$Id$" |  |
| ) |  |  |